Bug 42183 - cannot bind to 0.0.0.0 when starting
Summary: cannot bind to 0.0.0.0 when starting
Status: CLOSED INVALID
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: All (show other bugs)
Version: 2.2.0
Hardware: PC Windows XP
: P2 major (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: ErrorMessage
Depends on:
Blocks:
 
Reported: 2007-04-22 03:41 UTC by Locnav Livoc
Modified: 2007-06-14 01:42 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Locnav Livoc 2007-04-22 03:41:06 UTC
when i start the server it shows this message:



Apache 2.2 daemon is Starting ...


##########################################
## Stop Apache Please Close This Window ##
##########################################
(OS 10048)Only one usage of each socket address (protocol/network address/port)
is normally permitted.  : make_sock: could not bind to address 0.0.0.0:80
no listening sockets available, shutting down
Unable to open logs
Press any key to continue . . .


how can this be fixed?
Comment 1 Roy T. Fielding 2007-05-01 04:44:07 UTC
Some operating systems do not allow binding to 0.0.0.0.
You need to add a Listen directive for whatever IP addresses
you wish to listen on (e.g., Listen 127.0.0.1:80).

http://httpd.apache.org/docs/2.2/mod/mpm_common.html#listen
Comment 2 Dimitar Grudev 2007-06-14 01:42:43 UTC
The problem could be easily resolved if you check netstat -nato and the 
current proccess that occupies your port :80.

It could happen like that (to have problems starting Apache) if you have Skype 
installed. It uses port 80 by default if has connection problems.